commit 5fafdf24ef2c090c164d4dc89684b3f379dbdd87
Author: ths <ths@c046a42c-6fe2-441c-8c8c-71466251a162>
Date:   Sun Sep 16 21:08:06 2007 +0000

    find -type f | xargs sed -i 's/[\t ]$//g' # on most files
    
    
    git-svn-id: svn://svn.savannah.nongnu.org/qemu/trunk@3173 c046a42c-6fe2-441c-8c8c-71466251a162

diff --git a/qemu-doc.texi b/qemu-doc.texi
index c49e221..249fd05 100644
--- a/qemu-doc.texi
+++ b/qemu-doc.texi
@@ -50,13 +50,13 @@ QEMU has two operating modes:
 
 @itemize @minus
 
-@item 
+@item
 Full system emulation. In this mode, QEMU emulates a full system (for
 example a PC), including one or several processors and various
 peripherals. It can be used to launch different Operating Systems
 without rebooting the PC or to debug system code.
 
-@item 
+@item
 User mode emulation. In this mode, QEMU can launch
 processes compiled for one CPU on another CPU. It can be used to
 launch the Wine Windows API emulator (@url{http://www.winehq.org}) or
@@ -65,7 +65,7 @@ to ease cross-compilation and cross-debugging.
 @end itemize
 
 QEMU can run without an host kernel driver and yet gives acceptable
-performance. 
+performance.
 
 For system emulation, the following hardware targets are supported:
 @itemize
@@ -143,18 +143,18 @@ The QEMU PC System emulator simulates the
 following peripherals:
 
 @itemize @minus
-@item 
+@item
 i440FX host PCI bridge and PIIX3 PCI to ISA bridge
 @item
 Cirrus CLGD 5446 PCI VGA card or dummy VGA card with Bochs VESA
 extensions (hardware level, including all non standard modes).
 @item
 PS/2 mouse and keyboard
-@item 
+@item
 2 PCI IDE interfaces with hard disk and CD-ROM support
 @item
 Floppy disk
-@item 
+@item
 PCI/ISA PCI network adapters
 @item
 Serial ports
@@ -476,12 +476,12 @@ qemu linux.img -net nic,macaddr=52:54:00:12:34:57 \
 @item -net socket[,vlan=n][,fd=h][,mcast=maddr:port]
 
 Create a VLAN @var{n} shared with another QEMU virtual
-machines using a UDP multicast socket, effectively making a bus for 
+machines using a UDP multicast socket, effectively making a bus for
 every QEMU with same multicast address @var{maddr} and @var{port}.
 NOTES:
 @enumerate
-@item 
-Several QEMU can be running on different hosts and share same bus (assuming 
+@item
+Several QEMU can be running on different hosts and share same bus (assuming
 correct multicast setup for these hosts).
 @item
 mcast support is compatible with User Mode Linux (argument @option{eth@var{N}=mcast}), see
@@ -591,10 +591,10 @@ for easier testing of various kernels.
 
 @table @option
 
-@item -kernel bzImage 
+@item -kernel bzImage
 Use @var{bzImage} as kernel image.
 
-@item -append cmdline 
+@item -append cmdline
 Use @var{cmdline} as kernel command line
 
 @item -initrd file
@@ -751,13 +751,13 @@ character to Control-t.
 @end table
 
 @item -s
-Wait gdb connection to port 1234 (@pxref{gdb_usage}). 
+Wait gdb connection to port 1234 (@pxref{gdb_usage}).
 @item -p port
 Change gdb connection port.  @var{port} can be either a decimal number
 to specify a TCP port, or a host device (same devices as the serial port).
 @item -S
 Do not start CPU at startup (you must type 'c' in the monitor).
-@item -d             
+@item -d            
 Output log in /tmp/qemu.log
 @item -hdachs c,h,s,[,t]
 Force hard disk 0 physical geometry (1 <= @var{c} <= 16383, 1 <=
@@ -832,9 +832,9 @@ During emulation, if you are using the @option{-nographic} option, use
 @table @key
 @item Ctrl-a h
 Print this help
-@item Ctrl-a x    
+@item Ctrl-a x   
 Exit emulator
-@item Ctrl-a s    
+@item Ctrl-a s   
 Save disk data back to file (if -snapshot)
 @item Ctrl-a t
 toggle console timestamps
@@ -872,7 +872,7 @@ emulator. You can use it to:
 Remove or insert removable media images
 (such as CD-ROM or floppies)
 
-@item 
+@item
 Freeze/unfreeze the Virtual Machine (VM) and save or restore its state
 from a disk file.
 
@@ -889,10 +889,10 @@ The following commands are available:
 @item help or ? [cmd]
 Show the help for all commands or just for command @var{cmd}.
 
-@item commit  
+@item commit 
 Commit changes to the disk images (if -snapshot is used)
 
-@item info subcommand 
+@item info subcommand
 show various information about the system state
 
 @table @option
@@ -1026,7 +1026,7 @@ Physical memory dump starting at @var{addr}.
 data. Its syntax is: @option{/@{count@}@{format@}@{size@}}
 
 @table @var
-@item count 
+@item count
 is the number of items to be dumped.
 
 @item format
@@ -1040,11 +1040,11 @@ respectively select 16 or 32 bit code instruction size.
 
 @end table
 
-Examples: 
+Examples:
 @itemize
 @item
 Dump 10 instructions at the current instruction pointer:
-@example 
+@example
 (qemu) x/10i $eip
 0x90107063:  ret
 0x90107064:  sti
@@ -1060,7 +1060,7 @@ Dump 10 instructions at the current instruction pointer:
 
 @item
 Dump 80 16 bit values at the start of the video memory.
-@smallexample 
+@smallexample
 (qemu) xp/80hx 0xb8000
 0x000b8000: 0x0b50 0x0b6c 0x0b65 0x0b78 0x0b38 0x0b36 0x0b2f 0x0b42
 0x000b8010: 0x0b6f 0x0b63 0x0b68 0x0b73 0x0b20 0x0b56 0x0b47 0x0b41
@@ -1197,10 +1197,10 @@ but they are deleted as soon as you exit QEMU.
 
 VM snapshots currently have the following known limitations:
 @itemize
-@item 
+@item
 They cannot cope with removable devices if they are removed or
 inserted after a snapshot is done.
-@item 
+@item
 A few device drivers still have incomplete snapshot support so their
 state is not saved or restored properly (in particular USB).
 @end itemize
@@ -1266,7 +1266,7 @@ modifications are written in a temporary file).
 
 @subsubsection Mac OS X
 
-@file{/dev/cdrom} is an alias to the first CDROM. 
+@file{/dev/cdrom} is an alias to the first CDROM.
 
 Currently there is no specific code to handle removable media, so it
 is better to use the @code{change} or @code{eject} monitor commands to
@@ -1278,7 +1278,7 @@ change or eject media.
 QEMU can automatically create a virtual FAT disk image from a
 directory tree. In order to use it, just type:
 
-@example 
+@example
 qemu linux.img -hdb fat:/my_directory
 @end example
 
@@ -1288,14 +1288,14 @@ them via SAMBA or NFS. The default access is @emph{read-only}.
 
 Floppies can be emulated with the @code{:floppy:} option:
 
-@example 
+@example
 qemu linux.img -fda fat:floppy:/my_directory
 @end example
 
 A read/write support is available for testing (beta stage) with the
 @code{:rw:} option:
 
-@example 
+@example
 qemu linux.img -fda fat:floppy:rw:/my_directory
 @end example
 
@@ -1363,7 +1363,7 @@ network). The virtual network configuration is the following:
                            |          (10.0.2.2)
                            |
                            ---->  DNS server (10.0.2.3)
-                           |     
+                           |    
                            ---->  SMB server (10.0.2.4)
 @end example
 
@@ -1473,7 +1473,7 @@ using it. USB devices requiring real time streaming (i.e. USB Video
 Cameras) are not supported yet.
 
 @enumerate
-@item If you use an early Linux 2.4 kernel, verify that no Linux driver 
+@item If you use an early Linux 2.4 kernel, verify that no Linux driver
 is actually using the USB device. A simple way to do that is simply to
 disable the corresponding kernel module by renaming it from @file{mydriver.o}
 to @file{mydriver.o.disabled}.
@@ -1490,7 +1490,7 @@ chown -R myuid /proc/bus/usb
 @end example
 
 @item Launch QEMU and do in the monitor:
-@example 
+@example
 info usbhost
   Device 1.2, speed 480 Mb/s
     Class 00: USB device 1234:5678, USB DISK
@@ -1499,7 +1499,7 @@ You should see the list of the devices you can use (Never try to use
 hubs, it won't work).
 
 @item Add the device in QEMU by using:
-@example 
+@example
 usb_add host:1234:5678
 @end example
 
@@ -1826,7 +1826,7 @@ Bartlett): go to the Control Panel => Add/Remove Hardware & Next =>
 Add/Troubleshoot a device => Add a new device & Next => No, select the
 hardware from a list & Next => NT Apm/Legacy Support & Next => Next
 (again) a few times. Now the driver is installed and Windows 2000 now
-correctly instructs QEMU to shutdown at the appropriate moment. 
+correctly instructs QEMU to shutdown at the appropriate moment.
 
 @subsubsection Share a directory between Unix and Windows
 
@@ -1881,13 +1881,13 @@ or PowerMac PowerPC system.
 QEMU emulates the following PowerMac peripherals:
 
 @itemize @minus
-@item 
-UniNorth PCI Bridge 
+@item
+UniNorth PCI Bridge
 @item
 PCI VGA compatible card with VESA Bochs Extensions
-@item 
+@item
 2 PMAC IDE interfaces with hard disk and CD-ROM support
-@item 
+@item
 NE2000 PCI adapters
 @item
 Non Volatile RAM
@@ -1898,15 +1898,15 @@ VIA-CUDA with ADB keyboard and mouse.
 QEMU emulates the following PREP peripherals:
 
 @itemize @minus
-@item 
+@item
 PCI Bridge
 @item
 PCI VGA compatible card with VESA Bochs Extensions
-@item 
+@item
 2 IDE interfaces with hard disk and CD-ROM support
 @item
 Floppy disk
-@item 
+@item
 NE2000 network adapters
 @item
 Serial port
@@ -1925,13 +1925,13 @@ The following options are specific to the PowerPC emulation:
 
 @table @option
 
-@item -g WxH[xDEPTH]  
+@item -g WxH[xDEPTH] 
 
 Set the initial VGA graphic mode. The default is 800x600x15.
 
 @end table
 
-@c man end 
+@c man end
 
 
 More information is available at
@@ -1950,7 +1950,7 @@ QEMU emulates the following sun4m peripherals:
 IOMMU
 @item
 TCX Frame buffer
-@item 
+@item
 Lance (Am7990) Ethernet
 @item
 Non Volatile RAM M48T08
@@ -2002,7 +2002,7 @@ Set the emulated machine type. Default is SS-5.
 
 @end table
 
-@c man end 
+@c man end
 
 @node Sparc64 System emulator
 @section Sparc64 System emulator
@@ -2014,7 +2014,7 @@ QEMU emulates the following sun4u peripherals:
 
 @itemize @minus
 @item
-UltraSparc IIi APB PCI Bridge 
+UltraSparc IIi APB PCI Bridge
 @item
 PCI VGA compatible card with VESA Bochs Extensions
 @item
@@ -2043,7 +2043,7 @@ install Debian into a virtual disk image. The following devices are
 emulated:
 
 @itemize @minus
-@item 
+@item
 MIPS 24Kf CPU
 @item
 PC style serial port
@@ -2095,7 +2095,7 @@ devices:
 ARM926E, ARM1026E or ARM946E CPU
 @item
 Two PL011 UARTs
-@item 
+@item
 SMC 91c111 Ethernet adapter
 @item
 PL110 LCD controller
@@ -2114,7 +2114,7 @@ ARM926E CPU
 PL190 Vectored Interrupt Controller
 @item
 Four PL011 UARTs
-@item 
+@item
 SMC 91c111 Ethernet adapter
 @item
 PL110 LCD controller
@@ -2143,7 +2143,7 @@ ARM926E CPU
 ARM AMBA Generic/Distributed Interrupt Controller
 @item
 Four PL011 UARTs
-@item 
+@item
 SMC 91c111 Ethernet adapter
 @item
 PL110 LCD controller
@@ -2201,7 +2201,7 @@ The emulator is able to boot a uClinux kernel.
 The M5208EVB emulation includes the following devices:
 
 @itemize @minus
-@item 
+@item
 MCF5208 ColdFire V2 Microprocessor (ISA A+ with EMAC).
 @item
 Three Two on-chip UARTs.
@@ -2212,14 +2212,14 @@ Fast Ethernet Controller (FEC)
 The AN5206 emulation includes the following devices:
 
 @itemize @minus
-@item 
+@item
 MCF5206 ColdFire V2 Microprocessor.
 @item
 Two on-chip UARTs.
 @end itemize
 
-@node QEMU User space emulator 
-@chapter QEMU User space emulator 
+@node QEMU User space emulator
+@chapter QEMU User space emulator
 
 @menu
 * Supported Operating Systems ::
@@ -2253,14 +2253,14 @@ Mac OS X/Darwin (referred as qemu-darwin-user)
 @subsection Quick Start
 
 In order to launch a Linux process, QEMU needs the process executable
-itself and all the target (x86) dynamic libraries used by it. 
+itself and all the target (x86) dynamic libraries used by it.
 
 @itemize
 
 @item On x86, you can just try to launch any process by using the native
 libraries:
 
-@example 
+@example
 qemu-i386 -L / /bin/ls
 @end example
 
@@ -2270,7 +2270,7 @@ qemu-i386 -L / /bin/ls
 @item Since QEMU is also a linux process, you can launch qemu with
 qemu (NOTE: you can only do that if you compiled QEMU from the sources):
 
-@example 
+@example
 qemu-i386 -L / qemu-i386 -L / /bin/ls
 @end example
 
@@ -2279,7 +2279,7 @@ qemu-i386 -L / qemu-i386 -L / /bin/ls
 @code{LD_LIBRARY_PATH} is not set:
 
 @example
-unset LD_LIBRARY_PATH 
+unset LD_LIBRARY_PATH
 @end example
 
 Then you can launch the precompiled @file{ls} x86 executable:
@@ -2314,7 +2314,7 @@ qemu-i386 /usr/local/qemu-i386/bin/ls-i386
 @end example
 
 @item Download the binary x86 Wine install
-(@file{qemu-XXX-i386-wine.tar.gz} on the QEMU web page). 
+(@file{qemu-XXX-i386-wine.tar.gz} on the QEMU web page).
 
 @item Configure Wine on your account. Look at the provided script
 @file{/usr/local/qemu-i386/@/bin/wine-conf.sh}. Your previous
@@ -2339,7 +2339,7 @@ usage: qemu-i386 [-h] [-d] [-L path] [-s size] program [arguments...]
 @table @option
 @item -h
 Print the help
-@item -L path   
+@item -L path  
 Set the x86 elf interpreter prefix (default=/usr/local/qemu-i386)
 @item -s size
 Set the x86 stack size in bytes (default=524288)
@@ -2405,20 +2405,20 @@ CD or compile them by hand.
 @item On x86, you can just try to launch any process by using the native
 libraries:
 
-@example 
+@example
 qemu-i386 /bin/ls
 @end example
 
 or to run the ppc version of the executable:
 
-@example 
+@example
 qemu-ppc /bin/ls
 @end example
 
 @item On ppc, you'll have to tell qemu where your x86 libraries (and dynamic linker)
 are installed:
 
-@example 
+@example
 qemu-i386 -L /opt/x86_root/ /bin/ls
 @end example
 
@@ -2437,7 +2437,7 @@ usage: qemu-i386 [-h] [-d] [-L path] [-s size] program [arguments...]
 @table @option
 @item -h
 Print the help
-@item -L path   
+@item -L path  
 Set the library root path (default=/)
 @item -s size
 Set the stack size in bytes (default=524288)
@@ -2504,7 +2504,7 @@ these older versions so that usually you don't have to do anything.
 @url{http://www.mingw.org/}. You can find detailed installation
 instructions in the download section and the FAQ.
 
-@item Download 
+@item Download
 the MinGW development library of SDL 1.2.x
 (@file{SDL-devel-1.2.x-@/mingw32.tar.gz}) from
 @url{http://www.libsdl.org}. Unpack it in a temporary place, and
@@ -2513,14 +2513,14 @@ directory. Edit the @file{sdl-config} script so that it gives the
 correct SDL directory when invoked.
 
 @item Extract the current version of QEMU.
- 
+
 @item Start the MSYS shell (file @file{msys.bat}).
 
-@item Change to the QEMU directory. Launch @file{./configure} and 
+@item Change to the QEMU directory. Launch @file{./configure} and
 @file{make}.  If you have problems using SDL, verify that
 @file{sdl-config} can be launched from the MSYS command line.
 
-@item You can install QEMU in @file{Program Files/Qemu} by typing 
+@item You can install QEMU in @file{Program Files/Qemu} by typing
 @file{make install}. Don't forget to copy @file{SDL.dll} in
 @file{Program Files/Qemu}.
 
@@ -2534,13 +2534,13 @@ correct SDL directory when invoked.
 Install the MinGW cross compilation tools available at
 @url{http://www.mingw.org/}.
 
-@item 
+@item
 Install the Win32 version of SDL (@url{http://www.libsdl.org}) by
 unpacking @file{i386-mingw32msvc.tar.gz}. Set up the PATH environment
 variable so that @file{i386-mingw32msvc-sdl-config} can be launched by
 the QEMU configuration script.
 
-@item 
+@item
 Configure QEMU for Windows cross compilation:
 @example
 ./configure --enable-mingw32
@@ -2549,9 +2549,9 @@ If necessary, you can change the cross-prefix according to the prefix
 chosen for the MinGW tools with --cross-prefix. You can also use
 --prefix to set the Win32 install path.
 
-@item You can install QEMU in the installation directory by typing 
+@item You can install QEMU in the installation directory by typing
 @file{make install}. Don't forget to copy @file{SDL.dll} in the
-installation directory. 
+installation directory.
 
 @end itemize
 